<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Profesores
 *
 * @ORM\Table(name="profesores", indexes={@ORM\Index(name="cve_lic", columns={"cve_lic"})})
 * @ORM\Entity
 */
class Profesores
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_pro", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idePro;

    /**
     * @var string
     *
     * @ORM\Column(name="rfc", type="string", length=50, nullable=false)
     */
    private $rfc;

    /**
     * @var string
     *
     * @ORM\Column(name="ape_pat", type="string", length=100, nullable=true)
     */
    private $apePat = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="ape_mat", type="string", length=100, nullable=true)
     */
    private $apeMat = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="nom_pro", type="string", length=100, nullable=false)
     */
    private $nomPro;

    /**
     * @var string
     *
     * @ORM\Column(name="usuario", type="string", length=300, nullable=true)
     */
    private $usuario = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="password", type="string", length=300, nullable=true)
     */
    private $password = 'NULL';

    /**
     * @var integer
     *
     * @ORM\Column(name="estatus", type="integer", nullable=false)
     */
    private $estatus = '1';

    /**
     * @var string
     *
     * @ORM\Column(name="email", type="string", length=100, nullable=true)
     */
    private $email = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="celular", type="string", length=100, nullable=true)
     */
    private $celular = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="cedula", type="string", length=100, nullable=true)
     */
    private $cedula = 'NULL';

    /**
     * @var \Licenciaturas
     *
     * @ORM\ManyToOne(targetEntity="Licenciaturas")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_lic", referencedColumnName="ide_lic")
     * })
     */
    private $cveLic;



    /**
     * Get idePro
     *
     * @return integer
     */
    public function getIdePro()
    {
        return $this->idePro;
    }

    /**
     * Set rfc
     *
     * @param string $rfc
     *
     * @return Profesores
     */
    public function setRfc($rfc)
    {
        $this->rfc = $rfc;
    
        return $this;
    }

    /**
     * Get rfc
     *
     * @return string
     */
    public function getRfc()
    {
        return $this->rfc;
    }

    /**
     * Set apePat
     *
     * @param string $apePat
     *
     * @return Profesores
     */
    public function setApePat($apePat)
    {
        $this->apePat = $apePat;
    
        return $this;
    }

    /**
     * Get apePat
     *
     * @return string
     */
    public function getApePat()
    {
        return $this->apePat;
    }

    /**
     * Set apeMat
     *
     * @param string $apeMat
     *
     * @return Profesores
     */
    public function setApeMat($apeMat)
    {
        $this->apeMat = $apeMat;
    
        return $this;
    }

    /**
     * Get apeMat
     *
     * @return string
     */
    public function getApeMat()
    {
        return $this->apeMat;
    }

    /**
     * Set nomPro
     *
     * @param string $nomPro
     *
     * @return Profesores
     */
    public function setNomPro($nomPro)
    {
        $this->nomPro = $nomPro;
    
        return $this;
    }

    /**
     * Get nomPro
     *
     * @return string
     */
    public function getNomPro()
    {
        return $this->nomPro;
    }

    /**
     * Set usuario
     *
     * @param string $usuario
     *
     * @return Profesores
     */
    public function setUsuario($usuario)
    {
        $this->usuario = $usuario;
    
        return $this;
    }

    /**
     * Get usuario
     *
     * @return string
     */
    public function getUsuario()
    {
        return $this->usuario;
    }

    /**
     * Set password
     *
     * @param string $password
     *
     * @return Profesores
     */
    public function setPassword($password)
    {
        $this->password = $password;
    
        return $this;
    }

    /**
     * Get password
     *
     * @return string
     */
    public function getPassword()
    {
        return $this->password;
    }

    /**
     * Set estatus
     *
     * @param integer $estatus
     *
     * @return Profesores
     */
    public function setEstatus($estatus)
    {
        $this->estatus = $estatus;
    
        return $this;
    }

    /**
     * Get estatus
     *
     * @return integer
     */
    public function getEstatus()
    {
        return $this->estatus;
    }

    /**
     * Set email
     *
     * @param string $email
     *
     * @return Profesores
     */
    public function setEmail($email)
    {
        $this->email = $email;
    
        return $this;
    }

    /**
     * Get email
     *
     * @return string
     */
    public function getEmail()
    {
        return $this->email;
    }

    /**
     * Set celular
     *
     * @param string $celular
     *
     * @return Profesores
     */
    public function setCelular($celular)
    {
        $this->celular = $celular;
    
        return $this;
    }

    /**
     * Get celular
     *
     * @return string
     */
    public function getCelular()
    {
        return $this->celular;
    }

    /**
     * Set cedula
     *
     * @param string $cedula
     *
     * @return Profesores
     */
    public function setCedula($cedula)
    {
        $this->cedula = $cedula;
    
        return $this;
    }

    /**
     * Get cedula
     *
     * @return string
     */
    public function getCedula()
    {
        return $this->cedula;
    }

    /**
     * Set cveLic
     *
     * @param \CmBundle\Entity\Licenciaturas $cveLic
     *
     * @return Profesores
     */
    public function setCveLic(\CmBundle\Entity\Licenciaturas $cveLic = null)
    {
        $this->cveLic = $cveLic;
    
        return $this;
    }

    /**
     * Get cveLic
     *
     * @return \CmBundle\Entity\Licenciaturas
     */
    public function getCveLic()
    {
        return $this->cveLic;
    }
}
